Kepler - Bug #5279

HSQL databases use default account
01/26/2011 11:14 AM - Daniel Crawl

Status: Resolved Start date: 01/26/2011
Priority: Normal Due date:

Assignee: Daniel Crawl % Done: 0%
Category: core Estimated time: 0.00 hour
Target version: 24.0 Spent time: 0.00 hour
Bugzilla-ld: 5279

Description

The HSQL databases should not use the default account name and password.

Related issues:
Is duplicate of Kepler - Bug #5463: Provide security for Kepler databases

Resolved 08/15/2011

History

#2 - 06/15/2012 11:27 AM - likay Altintas

Maybe generate a new usename or password at runtime and save it under kepler data. Dan will design this.

#3 - 09/21/2012 02:38 PM - Daniel Crawl

I've updated org.kepler.util.sql.HSQL to generate a password for the HSQL databases. The password is stored in a text file in the same directory as

the database files.

| changed the location of the Kepler cache to .kepler/cache-2.4 and the ports used for HSQL server mode so that these updates are compatible with

previous Kepler versions.

| will update https:/kepler-project.org/developers/reference/accessing-hsql/ with the new ports and access information.

#4 - 03/27/2013 02:29 PM - Redmine Admin
Original Bugzilla ID was 5279
